> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2022-09-01/api-reference/importers/list-all-importers/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # List all Importers GET https://api.withpersona.com/api/v1/importers Returns a list of your organization's importers. Results are returned in reverse chronological order, with the most recently created objects first. Reference: https://docs.withpersona.com/api-reference/importers/list-all-importers ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `page` (ImportersGetParametersPage, optional) - `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details. ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Idempotency-Key` (string, optional) — Ensures the request is idempotent. - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ## Response ### 200 This endpoint returns an Importer object. - `data` (list of importer, required) — An array of Importers - `links` (ImportersGetResponsesContentApplicationJsonSchemaLinks, required) ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of ImportersGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of ImportersGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of ImportersGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of ImportersGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### ImportersGetParametersPage - `after` (string, optional) — Object ID for pagination cursor - `before` (string, optional) — Object ID for pagination cursor - `size` (double, optional) — Limit on the number of objects returned ### importer - `type`: `importer/account` (Account Importer) - `attributes` (importer-shared-attributes, optional) - `id` (string, optional) — Unique identifier for this Importer. Starts with `mprt_`. - `type`: `importer/list-item/email-address` (Email address List Item Importer) - `attributes` (importer-shared-attributes, optional) - `id` (string, optional) — Unique identifier for this Importer. Starts with `mprt_`. - `type`: `importer/list-item/face` (Face List Item Importer) - `attributes` (importer-shared-attributes, optional) - `id` (string, optional) — Unique identifier for this Importer. Starts with `mprt_`. - `type`: `importer/list-item/field` (Field List Item Importer) - `attributes` (importer-shared-attributes, optional) - `id` (string, optional) — Unique identifier for this Importer. Starts with `mprt_`. - `type`: `importer/list-item/geolocation` (Geolocation List Item Importer) - `attributes` (importer-shared-attributes, optional) - `id` (string, optional) — Unique identifier for this Importer. Starts with `mprt_`. - `type`: `importer/list-item/government-id-number` (Government ID number List Item Importer) - `attributes` (importer-shared-attributes, optional) - `id` (string, optional) — Unique identifier for this Importer. Starts with `mprt_`. - `type`: `importer/list-item/ip-address` (IP address List Item Importer) - `attributes` (importer-shared-attributes, optional) - `id` (string, optional) — Unique identifier for this Importer. Starts with `mprt_`. - `type`: `importer/list-item/name` (Name List Item Importer) - `attributes` (importer-shared-attributes, optional) - `id` (string, optional) — Unique identifier for this Importer. Starts with `mprt_`. - `type`: `importer/list-item/phone-number` (Phone number List Item Importer) - `attributes` (importer-shared-attributes, optional) - `id` (string, optional) — Unique identifier for this Importer. Starts with `mprt_`. ### ImportersGetResponsesContentApplicationJsonSchemaLinks - `prev` (string, required, nullable) - `next` (string, required, nullable) ### ImportersGetResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### importer-shared-attributes - `completed-at` (datetime, optional, nullable) - `created-at` (string, optional) - `duplicate-count` (integer, optional, default: 0) - `error-count` (integer, optional, default: 0) - `status` (string, optional) — Possible values: - pending - ready - errored Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `successful-count` (integer, optional, default: 0) ## Examples **Response** ```json { "data": [ { "type": "importer/account", "attributes": { "completed-at": null, "created-at": "2020-07-12T17:16:54.656Z", "duplicate-count": 0, "error-count": 0, "status": "pending", "successful-count": 0 }, "id": "mprt_TKqquVbHaSVYqgWhxNjuYDjQ" }, { "type": "importer/list-item/name", "attributes": { "completed-at": "2020-07-14T17:17:23.032Z", "created-at": "2020-07-12T17:16:54.656Z", "duplicate-count": 3, "error-count": 0, "status": "ready", "successful-count": 104 }, "id": "mprt_N6PqYkfSqeqiQYWoeHA3GGDo" } ], "links": { "prev": null, "next": null } } ``` **SDK Code** ```python Success import requests url = "https://api.withpersona.com/api/v1/importers" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api.withpersona.com/api/v1/importers'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/importers" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/importers") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.withpersona.com/api/v1/importers") .header("Authorization", "Bearer ") .asString(); ``` ```php Success request('GET', 'https://api.withpersona.com/api/v1/importers', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/importers"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/importers")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```